#! /usr/bin/env python
#
# getpeaks.py
#
# Copyright (c) 2014 by Micron Optics, Inc.  All Rights Reserved
#
"""This demonstrates acquiring a single sample of peak data.  This also shows
the second way to instantiate a Hyperion object, using a comm object.
"""

import sys

try:
    import hyperion
except Exception:
    sys.path.append('../h.Library')
    import hyperion

channel = 1

# First instantiate a comm object
h1Comm = hyperion.HCommTCPSocket('10.0.41.90')
# Pass the comm object to the Hyperion object initializer
h1 = hyperion.Hyperion(comm=h1Comm)
peaks = h1.get_peaks()
ch1Peaks = peaks.get_channel(channel)

print ch1Peaks
h1.comm.close()
