#! /usr/bin/env python
#
#streamingpeakstest.py
#
#Copyright (c) 2014 by Micron Optics, Inc.  All Rights Reserved
#
"""This file illustrates how to stream peak data from the hyperion

This example will stream 10000 samples, and print a message if any samples 
have been dropped.
"""

import hyperion





h1 = hyperion.Hyperion('10.0.41.90')
dropped = False
h1.enable_peak_streaming(streamingDivider = 1)
print h1.peakStreamComm.ipAddress
serialNum = 0
numberOfIterations = 1000
updateRate = 100 #determines how often to show status
for iteration in xrange(0,numberOfIterations):
    newSerialNum = h1.stream_peaks()
    if iteration % updateRate == 0:
        print "{0}:  {1}".format(iteration, newSerialNum)
        print h1.peaksHeader.peakCounts
#At this point, all peak data is located in h1.peaks and can be further
#processed or saved as needed by the user.
#To extract data for a single channel use h1.peaks.get_channel(channelNumber)
#for maximum efficiency, the stream_peaks() method does not return the peaks
#object, but only stores it in the instance variable "peaks".

#Now check to see if samples skipped
    if iteration:
        serialNumDiff = newSerialNum - serialNum
        if serialNumDiff > 1:
            print "Dropped Samples:", serialNumDiff
            dropped = True
    serialNum = newSerialNum

if not dropped:
    print "No dropped samples"
        


h1.disable_peak_streaming()
h1.comm.close()
